## php.java.faces
Class PhpFacesScriptContextFactory

    java.lang.Object
      php.java.bridge.SessionFactory
          php.java.bridge.http.ContextFactory
              php.java.servlet.ContextFactory
                  php.java.faces.PhpFacesScriptContextFactory

    public class PhpFacesScriptContextFactory

extends ContextFactory

A custom ContextFactory, manages a custom ScriptContext.

Author:
  jostb

Method Summary
`static ContextFactory` `addNew(IPhpScriptContext context, javax.servlet.ServletContext kontext, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Create a new ContextFactory
`java.lang.Object` `getContext()` Returns the ScriptContext.

Methods inherited from class php.java.servlet.ContextFactory
`addNew, getSession, remove, setSession, toString`

Methods inherited from class php.java.bridge.http.ContextFactory
`addNew, get, getBridge, getId, removeAll, setBridge, waitFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addNew

    public static ContextFactory addNew(IPhpScriptContext context,
                                        javax.servlet.ServletContext kontext,
                                        javax.servlet.http.HttpServletRequest req,
                                        javax.servlet.http.HttpServletResponse res)

  Create a new ContextFactory

  Parameters:
    `context` - The ScriptContext
    `kontext` - The ServletContext
    `req` - The ServletRequest
    `res` - The ServletResponse
  Returns:
    The ContextFactory

### getContext

    public java.lang.Object getContext()

  Returns the ScriptContext.

  Overrides:
    `getContext` in class `ContextFactory`
  Returns:
    The context